<#ibizinclude>../@MACRO/FUNC/PUBLIC.vue.ftl</#ibizinclude>
<#if editor?? && editor.render??> 
    ${editor.render.code}
<#else>
<#if editor.getEditorParam("PICKUPVIEW",true)??>
  <#if editor.getPickupPSAppView()??>
<app-picker 
  :formState="formState" 
  :data="data"
  :context="context"
  :viewparams="viewparams"
  :localContext =<@getNavigateContext editor />
  :localParam =<@getNavigateParams editor />
  :disabled="detailsModel.${editor.name}.disabled" 
  name='${editor.name}'
<#if editor.getPSAppDEACMode?? && editor.getPSAppDEACMode()??>
  <#if editor.getPSAppDEACMode().getMinorSortPSDEF?? && editor.getPSAppDEACMode().getMinorSortPSDEF()?? && editor.getPSAppDEACMode().getMinorSortDir?? && editor.getPSAppDEACMode().getMinorSortDir()??>
  <#if editor.getPSAppDEACMode().getMinorSortDir() == 'ASC' || editor.getPSAppDEACMode().getMinorSortDir() == 'DESC'>
  sort='${editor.getPSAppDEACMode().getMinorSortPSDEF().getCodeName()?lower_case},${editor.getPSAppDEACMode().getMinorSortDir()?lower_case}'
  </#if>
  </#if>
  <#-- 自填模式界面行为组start -->
  <#if editor.getPSAppDEACMode().getPSDEUIActionGroup?? && editor.getPSAppDEACMode().getPSDEUIActionGroup()??>
  <#assign editorActionGroup = editor.getPSAppDEACMode().getPSDEUIActionGroup() />
  <#if editorActionGroup.getPSUIActionGroupDetails?? && editorActionGroup.getPSUIActionGroupDetails()??>
  :actionDetails="[<#compress>
  <#list editorActionGroup.getPSUIActionGroupDetails() as actionDetail>
  <#if actionDetail.getPSUIAction?? && actionDetail.getPSUIAction()??>
  <#assign uiaction = actionDetail.getPSUIAction() />
  {caption:'${uiaction.getCaption()}',tag:${editor.name}_editor_${actionDetail.getName()}_click}<#if actionDetail_has_next>,</#if>
  </#if>
  </#list>
</#compress>]"
  @editoractionclick="onFormItemActionClick"
  </#if>
  </#if>
  <#-- 自填模式界面行为组end -->
</#if>
<#-- 自填模式文本属性、值属性start -->
<#if editor.getPSAppDEACMode?? && editor.getPSAppDEACMode()??>
<#assign appDeAcMode = editor.getPSAppDEACMode() />
  deMajorField='${appDeAcMode.getTextPSAppDEField().getCodeName()?lower_case}'
  deKeyField='<#if appDeAcMode.getValuePSAppDEField().getCodeName() == editor.getPSAppDataEntity().getKeyPSAppDEField().getCodeName()>${editor.getPSAppDataEntity().getCodeName()?lower_case}<#else>${appDeAcMode.getValuePSAppDEField().getCodeName()?lower_case}</#if>'
<#else>
<#if editor.getPSAppDataEntity?? && editor.getPSAppDataEntity()??>
  deMajorField='${editor.getPSAppDataEntity().getMajorPSAppDEField().getCodeName()?lower_case}'
  deKeyField='${editor.getPSAppDataEntity().getCodeName()?lower_case}'
</#if>
</#if>
<#-- 自填模式文本属性、值属性end -->
  :service="service"
  :acParams=<@getAcParams editor />
  valueitem='${editor.getValueItemName()}' 
  :value="data.${editor.name}"
  editortype="" 
  :pickupView=<@getPickupView editor />
  :linkview=<@getLinkView editor />
  style="${editor.getEditorCssStyle()}"  
  @formitemvaluechange="onFormItemValueChange">
    <@getItemRender editor />
</app-picker>
  </#if>
</#if>
</#if>