<#ibizinclude>../@MACRO/FUNC/PUBLIC.vue.ftl</#ibizinclude>
<#if editor?? && editor.render??> 
    ${editor.render.code}
<#else>
<app-autocomplete 
    :data="row"
    :disabled="getColumnDisabled(row,column.property)" 
    name='${editor.name}'
    :context="context"
    :viewparams="viewparams"
<#if editor.getPSAppDataEntity?? && editor.getPSAppDataEntity()??>
    deMajorField='${editor.getPSAppDataEntity().getMajorPSAppDEField().getCodeName()?lower_case}'
    deKeyField='${editor.getPSAppDataEntity().getCodeName()?lower_case}'
</#if>
    :localContext =<@getNavigateContext editor />
    :localParam =<@getNavigateParams editor />
    :service="service"
<#if editor.getPSAppDEACMode?? && editor.getPSAppDEACMode()??>
  <#if editor.getPSAppDEACMode().getMinorSortPSDEF?? && editor.getPSAppDEACMode().getMinorSortPSDEF()?? && editor.getPSAppDEACMode().getMinorSortDir?? && editor.getPSAppDEACMode().getMinorSortDir()??>
  <#if editor.getPSAppDEACMode().getMinorSortDir() == 'ASC' || editor.getPSAppDEACMode().getMinorSortDir() == 'DESC'>
  sort='${editor.getPSAppDEACMode().getMinorSortPSDEF().getCodeName()?lower_case},${editor.getPSAppDEACMode().getMinorSortDir()?lower_case}'
  </#if>
  </#if>
</#if>
    :acParams=<@getAcParams editor />
    valueitem='${item.getValueItemName()}' 
    :value="row[column.property]" 
    @formitemvaluechange="($event)=>{onGridItemValueChange(row,$event,$index)}"
    style="${editor.getEditorCssStyle()}">
</app-autocomplete>
</#if>